<div class="container mt-5">
    <div class="row">
        <div class="col-lg-8 offset-lg-2">
            <div class="card">
                <div class="card-body">
                    <h3 class="titulo">TARJETA DE CREDITO</h3>
                </div>
            </div>
        </div>
    </div>

    <div class="row mt-4">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h5 class="titulo">AGREGAR TARJETA</h5>

                    <form [formGroup]="form" (ngSubmit)="agregarTarjeta()">
                        <div class="input-group input-group-lg mb-3">
                            <span class="input-group-text">
                                <i class="fa-solid fa-user-astronaut"></i>
                            </span>
                            <input formControlName="titular" type="text" class="form-control" placeholder="Titular">
                        </div>
                        <div class="input-group input-group-lg mb-3">
                            <span class="input-group-text">
                                <i class="fa-solid fa-credit-card"></i>
                            </span>
                            <input formControlName="numeroTarjeta" type="number" class="form-control" placeholder="Numero de Tarjeta">
                        </div>

                        <div class="row">
                            <div class="col-lg-7">
                                <div class="input-group input-group-lg mb-3">
                                    <span class="input-group-text">
                                        <i class="fa-solid fa-calendar-days"></i>
                                    </span>
                                    <input formControlName="fechaExpiracion" type="text" class="form-control" placeholder="MM/YY">
                                </div>
                            </div>
                            <div class="col-lg-5">
                                <div class="input-group input-group-lg mb-3">
                                    <span class="input-group-text">
                                        <i class="fa-solid fa-key"></i>
                                    </span>
                                    <input formControlName="cvv" type="password" class="form-control" placeholder="CVV">
                                </div>
                            </div>
                        </div>
                        <div class="d-grid gap-2">
                            <button type="submit" class="btn btn-success btn-lg" [disabled]="form.invalid"><i class="fa-solid fa-database"></i>&nbsp; Aceptar</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h5 class="titulo">LISTADO DE TARJETAS</h5>
                    <table class="table">
                        <tbody>
                            <tr *ngFor="let tarjeta of listTarjetas; let i = index">
                                <td>{{ tarjeta.titular }}</td>
                                <td>{{ tarjeta.numeroTarjeta }}</td>
                                <td>{{ tarjeta.fechaExpiracion }}</td>
                                <td>
                                    <i class="fa-solid fa-pen-to-square text-info"></i>
                                </td>
                                <td>
                                    <i (click)="eliminarTarjeta(i)" class="fa-regular fa-trash-can text-danger"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
